Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 158881 - Reduce number of test dependencies calculation
Reduce number of test dependencies calculation
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Pavel Flaska
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 11:03 UTC by Pavel Flaska
Modified: 2009-03-02 20:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Recursive calls I. (57.53 KB, image/png)
2009-02-20 11:06 UTC, Pavel Flaska
Details
When applying simple patch - getting name outside the loop (53.63 KB, image/png)
2009-02-20 11:07 UTC, Pavel Flaska
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Flaska 2009-02-20 11:03:20 UTC
When profiling source queries, I've found huge number of project.getCodeNameBase() calls. They come from processing test
dependencies. It seems that simple fix can reduce this number and improve API support project opening up to 20%.
Comment 1 Pavel Flaska 2009-02-20 11:06:29 UTC
Created attachment 77196 [details]
Recursive calls I.
Comment 2 Pavel Flaska 2009-02-20 11:07:58 UTC
Created attachment 77197 [details]
When applying simple patch - getting name outside the loop
Comment 3 Pavel Flaska 2009-02-20 11:11:01 UTC
The pictures show the situation when java.source modules and its dependent projects are opened.
Comment 4 Pavel Flaska 2009-02-26 10:14:40 UTC
2dcb6756f53a
Comment 5 Quality Engineering 2009-03-02 20:55:57 UTC
Integrated into 'main-golden', will be available in build *200903021401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2dcb6756f53a
User: Pavel Flaska <pflaska@netbeans.org>
Log: #158881: reduce number of recursive calls


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo